package com.icomsys.main_vm.db.jpa.repo.scenario.dsl;

import com.icomsys.main_vm.biz.rcp.conversation.vo.ConversationCmmNodeEditReq;
import com.icomsys.main_vm.biz.rcp.conversation.vo.ConversationCmmNodeInfoReq;
import com.icomsys.main_vm.biz.rcp.conversation.vo.ConversationCmmNodeInfoRes;
import com.querydsl.core.QueryResults;

import java.util.HashMap;
import java.util.List;

public interface TbCommonNodeRepoDsl {

    QueryResults<ConversationCmmNodeInfoRes> serachCmmNodeList(ConversationCmmNodeInfoReq dto);

    void updateCmmNode(ConversationCmmNodeEditReq dto);

    List<ConversationCmmNodeInfoRes> selectCmmNode(Long seq);

    void deleteCmmNode(Long seq);
}
